curl --request POST \
--url https://api.inprocess.world/api/phones \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"phone_number": "<string>"
}
'import requests
url = "https://api.inprocess.world/api/phones"
payload = { "phone_number": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number: '<string>'})
};
fetch('https://api.inprocess.world/api/phones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Phone number connected and verification message sent"
}{
"message": "Invalid request body"
}{
"message": "Failed to connect phone number"
}Connect a Phone Number
Connect a phone number for artists on the In•Process protocol. After connection, a verification SMS message will be sent to the provided phone number.
Overview:
Artists can connect their phone number to enable SMS-based features and notifications.
-
An SMS verification message is automatically sent to the provided phone number.
For example:
Someone is trying to connect this phone number to the artist profile for sweetman.eth on In•Process. If this was you, please reply ‘yes’. If this was not you, please ignore this message.
-
If the artist replies “yes”, the artist’s phone number will be verified.
-
With a verified phone number the artist can create new Moments via SMS.
Authorizations
Artist API key for authentication. Get your API key from https://inprocess.world/manage/api-keys
Body
Phone number in E.164 format (e.g., "+1234567890" or "+14155552671")